JBoss Native SVN: r1376 - trunk/build/install.
by jbossnative-commits@lists.jboss.org
Author: mladen.turk(a)jboss.com
Date: 2008-02-06 05:07:43 -0500 (Wed, 06 Feb 2008)
New Revision: 1376
Modified:
trunk/build/install/makeself.sh
Log:
Add --target option to mkself so we can use absolute path for install
Modified: trunk/build/install/makeself.sh
===================================================================
--- trunk/build/install/makeself.sh 2008-02-06 09:50:00 UTC (rev 1375)
+++ trunk/build/install/makeself.sh 2008-02-06 10:07:43 UTC (rev 1376)
@@ -108,6 +108,7 @@
echo " --nowait : Do not wait for user input after executing embedded"
echo " program from an xterm"
echo " --lsm file : LSM file describing the package"
+ echo " --target file : Specify absolute target location"
echo
echo "Do not forget to give a fully qualified startup script name"
echo "(i.e. with a ./ prefix if inside the archive)."
@@ -120,6 +121,7 @@
else
COMPRESS=Unix
fi
+TARGET="."
KEEP=n
CURRENT=n
NOX11=n
@@ -198,6 +200,11 @@
APPEND=y
shift
;;
+ --target)
+ KEEP=y
+ TARGET="$2"
+ shift 2
+ ;;
--lsm)
LSM_CMD="cat \"$2\" >> \"\$archname\""
shift 2
@@ -250,7 +257,11 @@
if test "$CURRENT" = y; then
archdirname="."
else
- archdirname=`basename "$1"`
+ if test "$TARGET" = "."; then
+ archdirname=`basename "$1"`
+ else
+ archdirname=$TARGET
+ fi
fi
if test $# -lt 3; then
16 years, 11 months
JBoss Native SVN: r1375 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-06 04:50:00 -0500 (Wed, 06 Feb 2008)
New Revision: 1375
Modified:
trunk/build/unix/buildbin.rhel-httpd.sh
Log:
typo.
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-06 09:20:55 UTC (rev 1374)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-06 09:50:00 UTC (rev 1375)
@@ -105,7 +105,7 @@
_localstatedir=${PREFIX}/logs
if $has_openssl_loc ; then
- add_conf="--with-ssl=${common_loc} --enable-ssl --with-ssl"
+ add_conf="--with-ssl=${common_loc} --enable-ssl"
else
add_conf=""
fi
16 years, 11 months
JBoss Native SVN: r1374 - trunk/build/install.
by jbossnative-commits@lists.jboss.org
Author: mladen.turk(a)jboss.com
Date: 2008-02-06 04:20:55 -0500 (Wed, 06 Feb 2008)
New Revision: 1374
Modified:
trunk/build/install/makeself-header.sh
Log:
Fix agree message
Modified: trunk/build/install/makeself-header.sh
===================================================================
--- trunk/build/install/makeself-header.sh 2008-02-06 09:01:59 UTC (rev 1373)
+++ trunk/build/install/makeself-header.sh 2008-02-06 09:20:55 UTC (rev 1374)
@@ -1,6 +1,7 @@
cat << EOF > "$archname"
#!/bin/sh
# This script was generated using Makeself $MS_VERSION
+# JBoss Httpd server
CRCsum="$CRCsum"
MD5="$MD5sum"
@@ -55,6 +56,24 @@
test \$bytes -gt 0 && dd ibs=1 obs=1024 count=\$bytes ; } 2> /dev/null
}
+MS_Agree()
+{
+ while true
+ do
+ read reply leftover
+ case \$reply in
+ [yY] | [yY][eE][sS])
+ echo "yes"
+ return 0
+ ;;
+ [nN] | [nN][oO])
+ echo "no"
+ return 0
+ ;;
+ esac
+ done
+}
+
MS_Help()
{
cat << EOH >&2
@@ -81,22 +100,6 @@
EOH
}
-MS_Agree()
-{
- while [ "true" ]; do
- read reply leftover
- case $reply in
- [yY] | [yY][eE][sS])
- echo "yes"
- return 0
- ;;
- [nN] | [nN][oO])
- echo "no"
- return 0
- ;;
- esac
- done
-}
MS_Eula()
{
@@ -249,8 +252,8 @@
18 October 2006
EOEULA
MS_Printf "\nDo you agree to the above license terms? [yes or no]\n"
- if test "`MS_Agree`" = "no"; then
- MS_Printf"If you don't agree to the license you can't install this software\n"
+ if test "\`MS_Agree\`" = "no"; then
+ MS_Printf "If you don't agree to the license you can't install this software\n"
exit 1
fi
}
@@ -444,6 +447,8 @@
esac
done
+MS_Eula
+
case "\$copy" in
copy)
tmpdir=\$TMPROOT/makeself.\$RANDOM.\`date +"%y%m%d%H%M%S"\`.\$\$
16 years, 11 months
JBoss Native SVN: r1373 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-06 04:01:59 -0500 (Wed, 06 Feb 2008)
New Revision: 1373
Modified:
trunk/build/unix/build.sh
Log:
Add a patch logic for rhel sources.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-02-06 08:40:40 UTC (rev 1372)
+++ trunk/build/unix/build.sh 2008-02-06 09:01:59 UTC (rev 1373)
@@ -885,15 +885,26 @@
# Apply patch for the component
# $1 directory of the component like apr-1.2.8
+# $2 also apply the rhel patches.
applypatch()
{
DIR=$1
- if [ -f $build_top/../patch/$DIR.patch ];
- then
+ isrhel=$2
+ basefilename=`basename $DIR`
+ if [ -f $build_top/../patch/$basefilename.patch ]; then
(cd $DIR
- $patch -tfs -p0 -i $build_top/../patch/$DIR.patch
- )
+ echo "Applying patch $build_top/../patch/$basefilename.patch"
+ $patch -tfs -p0 -i $build_top/../patch/$basefilename.patch
+ ) || return 1
fi
+ if $isrhel; then
+ if [ -f $build_top/../patch/$basefilename.rhel.patch ]; then
+ (cd $DIR
+ echo "Applying patch $build_top/../patch/$basefilename.rhel.patch"
+ $patch -tfs -p0 -i $build_top/../patch/$basefilename.rhel.patch
+ ) || return 1
+ fi
+ fi
}
# Check and download
@@ -908,7 +919,7 @@
cd $build_cache_dir
if [ ! -d ${src_dir} ]; then
downloadtaredsrc $src_url $src_url_back
- applypatch $src_dir
+ applypatch $src_dir false
fi
cp -rp ${src_dir} ${package_src_dir}/srclib
cd $build_top
@@ -955,6 +966,8 @@
tag=${ssl_version}
fi
util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/openssl openssl/RHEL-5 ${tag} ${package_src_dir} openssl rhel-httpd ${build_version}
+ openssl_dir=${package_src_dir}/srclib/`ls ${package_src_dir}/srclib | grep openssl-`
+ applypatch ${openssl_dir} true
else
echo "${ssl_type} not support for openssl"
exit 1
16 years, 11 months
JBoss Native SVN: r1372 - trunk/build/patch.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-06 03:40:40 -0500 (Wed, 06 Feb 2008)
New Revision: 1372
Added:
trunk/build/patch/openssl-0.9.8b.rhel.patch
Log:
Add a patch for ppc64.
Added: trunk/build/patch/openssl-0.9.8b.rhel.patch
===================================================================
--- trunk/build/patch/openssl-0.9.8b.rhel.patch (rev 0)
+++ trunk/build/patch/openssl-0.9.8b.rhel.patch 2008-02-06 08:40:40 UTC (rev 1372)
@@ -0,0 +1,11 @@
+--- Configure 2008-02-06 09:11:22.000000000 +0100
++++ Configure 2008-02-06 09:24:06.000000000 +0100
+@@ -322,7 +322,7 @@
+ ####
+ "linux-generic64","gcc:-DTERMIO -Wall \$(RPM_OPT_FLAGS)::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHAR RC4_CHUNK DES_INT DES_UNROLL BF_PTR:${no_asm}:dlfcn:linux-shared:-fPIC:\$(RPM_OPT_FLAGS):.so.\$(SHLIB_SONAMEVER)",
+ # -bpowerpc64-linux is transient option, -m64 should be the one to use...
+-"linux-ppc64", "gcc:-DB_ENDIAN -DTERMIO -Wall \$(RPM_OPT_FLAGS)::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::linux_ppc64.o::::::::::dlfcn:linux-shared:-fPIC:\$(RPM_OPT_FLAGS):.so.\$(SHLIB_SONAMEVER)",
++"linux-ppc64", "gcc:-m64 -O3 -DB_ENDIAN -DTERMIO -Wall \$(RPM_OPT_FLAGS)::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHAR RC4_CHUNK DES_RISC1 DES_UNROLL::linux_ppc64.o::::::::::dlfcn:linux-shared:-fPIC:-m64 \$(RPM_OPT_FLAGS):.so.\$(SHLIB_SONAMEVER)",
+ "linux-ia64", "gcc:-DL_ENDIAN -DTERMIO -Wall \$(RPM_OPT_FLAGS)::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK:${ia64_asm}:dlfcn:linux-shared:-fPIC:\$(RPM_OPT_FLAGS):.so.\$(SHLIB_SONAMEVER)",
+ "linux-ia64-ecc","ecc:-DL_ENDIAN -DTERMIO -O2 -Wall -no_cpprt::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK:${ia64_asm}:dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
+ "linux-ia64-icc","icc:-DL_ENDIAN -DTERMIO -O2 -Wall -no_cpprt::-D_REENTRANT::-ldl:SIXTY_FOUR_BIT_LONG RC4_CHUNK:${ia64_asm}:dlfcn:linux-shared:-fPIC::.so.\$(SHLIB_MAJOR).\$(SHLIB_MINOR)",
16 years, 11 months
JBoss Native SVN: r1371 - in trunk: httpd/httpd-2.2 and 1 other directories.
by jbossnative-commits@lists.jboss.org
Author: mladen.turk(a)jboss.com
Date: 2008-02-06 02:07:50 -0500 (Wed, 06 Feb 2008)
New Revision: 1371
Added:
trunk/httpd/httpd-2.2/install/
trunk/httpd/httpd-2.2/install/installconf.awk
Removed:
trunk/build/install/installconf.awk
Log:
Move install script to the httpd location
Deleted: trunk/build/install/installconf.awk
===================================================================
--- trunk/build/install/installconf.awk 2008-02-05 21:39:50 UTC (rev 1370)
+++ trunk/build/install/installconf.awk 2008-02-06 07:07:50 UTC (rev 1371)
@@ -1,142 +0,0 @@
-#
-# InstallConf.awk Apache HTTP 2.2 script to rewrite the @@ServerRoot@@
-# tags in httpd-win.conf to httpd.default.conf - then duplicate the
-# conf files if they don't already exist.
-#
-# Note that we -don't- want the ARGV file list, so no additional {} blocks
-# are coded. Use explicit args (more reliable on Win32) and use the fact
-# that ARGV[] params are -not- '\' escaped to process the C:\Foo\Bar Win32
-# path format. Note that awk var=path would not succeed, since it -does-
-# escape backslashes in the assignment. Note also, a trailing space is
-# required for paths, or the trailing quote following the backslash is
-# escaped, rather than parsed.
-#
-BEGIN {
- domainname = ARGV[1];
- servername = ARGV[2];
- serveradmin = ARGV[3];
- serverport = ARGV[4];
- serversslport = ARGV[5];
- serverroot = ARGV[6];
-
- delete ARGV[6];
- delete ARGV[5];
- delete ARGV[4];
- delete ARGV[3];
- delete ARGV[2];
- delete ARGV[1];
-
- delcmd = "rm";
- if (WINDOWS) {
- delcmd = "del";
- }
-
- gsub( /\\/, "/", serverroot );
- gsub( /[ \/]+$/, "", serverroot );
- tstfl = serverroot "/logs/install.log"
- confroot = serverroot "/conf/";
- confdefault = confroot "default/";
-
- print "Installing Apache HTTP 2.2 server with" >tstfl;
- print " DomainName : " domainname >tstfl;
- print " ServerName : " servername >tstfl;
- print " ServerAdmin : " serveradmin >tstfl;
- print " ServerPort : " serverport >tstfl;
- print " ServerSslPort : " serverport >tstfl;
- print " ServerRoot : " serverroot >tstfl;
-
- filelist["httpd.conf"] = "httpd.conf.in";
- filelist["httpd-autoindex.conf"] = "httpd-autoindex.conf.in";
- filelist["httpd-dav.conf"] = "httpd-dav.conf.in";
- filelist["httpd-default.conf"] = "httpd-default.conf.in";
- filelist["httpd-info.conf"] = "httpd-info.conf.in";
- filelist["httpd-languages.conf"] = "httpd-languages.conf.in";
- filelist["httpd-manual.conf"] = "httpd-manual.conf.in";
- filelist["httpd-mpm.conf"] = "httpd-mpm.conf.in";
- filelist["httpd-multilang-errordoc.conf"] = "httpd-multilang-errordoc.conf.in";
- filelist["httpd-ssl.conf"] = "httpd-ssl.conf.in";
- filelist["httpd-userdir.conf"] = "httpd-userdir.conf.in";
- filelist["httpd-vhosts.conf"] = "httpd-vhosts.conf.in";
-
- for ( conffile in filelist ) {
- srcfl = confdefault filelist[conffile];
- dstfl = confdefault conffile;
- while ( ( getline < srcfl ) > 0 ) {
- gsub( /@@ServerRoot@@/, serverroot );
- gsub( /@exp_cgidir@/, serverroot "/cgi-bin" );
- gsub( /@exp_sysconfdir@/, serverroot "/conf" );
- gsub( /@exp_errordir@/, serverroot "/error" );
- gsub( /@exp_htdocsdir@/, serverroot "/htdocs" );
- gsub( /@exp_iconsdir@/, serverroot "/icons" );
- gsub( /@exp_logfiledir@/, serverroot "/logs" );
- gsub( /@exp_runtimedir@/, serverroot "/logs" );
- gsub( /@exp_manualdir@/, serverroot "/manual" );
- gsub( /@rel_runtimedir@/, "logs" );
- gsub( /@rel_logfiledir@/, "logs" );
- if (WINDOWS) {
- gsub( /SSLMutex file:@exp_runtimedir@\/ssl_mutex/, "SSLMutex default" );
- gsub( /\/home\/\*\/public_html/, "\"C:/Documents and Settings/*/My Documents/My Website\"" );
- gsub( /UserDir public_html/, "UserDir \"My Documents/My Website\"" );
- }
- gsub( /www.example.com/, servername );
- gsub( /@@ServerAdmin@@/, serveradmin );
- gsub( /you(a)example.com/, serveradmin );
- gsub( /@@ServerName@@/, servername );
- gsub( /www.example.com/, servername );
- gsub( /@@ServerAdmin@@/, serveradmin );
- gsub( /you(a)example.com/, serveradmin );
- gsub( /@@DomainName@@/, domainname );
- gsub( /example.com/, domainname );
- gsub( /@@Port@@/, serverport );
- gsub( /443/, serversslport );
- print $0 > dstfl;
- }
- close(srcfl);
-
- if ( close(dstfl) >= 0 ) {
- print "Rewrote " srcfl "\n to " dstfl > tstfl;
- if (WINDOWS) {
- gsub(/\//, "\\", srcfl);
- }
- if (system(delcmd " \"" srcfl "\"")) {
- print "Failed to remove " srcfl > tstfl;
- } else {
- print "Successfully removed " srcfl > tstfl;
- }
- } else {
- print "Failed to rewrite " srcfl "\n to " dstfl > tstfl;
- }
- filelist[conffile] = "extra/";
- }
-
- filelist["httpd.conf"] = "";
- filelist["charset.conv"] = "";
- filelist["magic"] = "";
- filelist["mime.types"] = "";
-
- for ( conffile in filelist ) {
- srcfl = confdefault conffile;
- dstfl = confroot filelist[conffile] conffile;
- if ( ( getline < dstfl ) < 0 ) {
- while ( ( getline < srcfl ) > 0 ) {
- print $0 > dstfl;
- }
- print "Duplicated " srcfl "\n to " dstfl > tstfl;
- } else {
- print "Existing file " dstfl " preserved" > tstfl;
- }
- close(srcfl);
- close(dstfl);
- }
-
- srcfl = confdefault "installconf.awk";
- if (WINDOWS) {
- gsub(/\//, "\\", srcfl);
- }
- if (system(delcmd " \"" srcfl "\"")) {
- print "Failed to remove " srcfl > tstfl;
- } else {
- print "Successfully removed " srcfl > tstfl;
- }
- close(tstfl);
-}
Added: trunk/httpd/httpd-2.2/install/installconf.awk
===================================================================
--- trunk/httpd/httpd-2.2/install/installconf.awk (rev 0)
+++ trunk/httpd/httpd-2.2/install/installconf.awk 2008-02-06 07:07:50 UTC (rev 1371)
@@ -0,0 +1,142 @@
+#
+# InstallConf.awk Apache HTTP 2.2 script to rewrite the @@ServerRoot@@
+# tags in httpd-win.conf to httpd.default.conf - then duplicate the
+# conf files if they don't already exist.
+#
+# Note that we -don't- want the ARGV file list, so no additional {} blocks
+# are coded. Use explicit args (more reliable on Win32) and use the fact
+# that ARGV[] params are -not- '\' escaped to process the C:\Foo\Bar Win32
+# path format. Note that awk var=path would not succeed, since it -does-
+# escape backslashes in the assignment. Note also, a trailing space is
+# required for paths, or the trailing quote following the backslash is
+# escaped, rather than parsed.
+#
+BEGIN {
+ domainname = ARGV[1];
+ servername = ARGV[2];
+ serveradmin = ARGV[3];
+ serverport = ARGV[4];
+ serversslport = ARGV[5];
+ serverroot = ARGV[6];
+
+ delete ARGV[6];
+ delete ARGV[5];
+ delete ARGV[4];
+ delete ARGV[3];
+ delete ARGV[2];
+ delete ARGV[1];
+
+ delcmd = "rm";
+ if (WINDOWS) {
+ delcmd = "del";
+ }
+
+ gsub( /\\/, "/", serverroot );
+ gsub( /[ \/]+$/, "", serverroot );
+ tstfl = serverroot "/logs/install.log"
+ confroot = serverroot "/conf/";
+ confdefault = confroot "default/";
+
+ print "Installing Apache HTTP 2.2 server with" >tstfl;
+ print " DomainName : " domainname >tstfl;
+ print " ServerName : " servername >tstfl;
+ print " ServerAdmin : " serveradmin >tstfl;
+ print " ServerPort : " serverport >tstfl;
+ print " ServerSslPort : " serverport >tstfl;
+ print " ServerRoot : " serverroot >tstfl;
+
+ filelist["httpd.conf"] = "httpd.conf.in";
+ filelist["httpd-autoindex.conf"] = "httpd-autoindex.conf.in";
+ filelist["httpd-dav.conf"] = "httpd-dav.conf.in";
+ filelist["httpd-default.conf"] = "httpd-default.conf.in";
+ filelist["httpd-info.conf"] = "httpd-info.conf.in";
+ filelist["httpd-languages.conf"] = "httpd-languages.conf.in";
+ filelist["httpd-manual.conf"] = "httpd-manual.conf.in";
+ filelist["httpd-mpm.conf"] = "httpd-mpm.conf.in";
+ filelist["httpd-multilang-errordoc.conf"] = "httpd-multilang-errordoc.conf.in";
+ filelist["httpd-ssl.conf"] = "httpd-ssl.conf.in";
+ filelist["httpd-userdir.conf"] = "httpd-userdir.conf.in";
+ filelist["httpd-vhosts.conf"] = "httpd-vhosts.conf.in";
+
+ for ( conffile in filelist ) {
+ srcfl = confdefault filelist[conffile];
+ dstfl = confdefault conffile;
+ while ( ( getline < srcfl ) > 0 ) {
+ gsub( /@@ServerRoot@@/, serverroot );
+ gsub( /@exp_cgidir@/, serverroot "/cgi-bin" );
+ gsub( /@exp_sysconfdir@/, serverroot "/conf" );
+ gsub( /@exp_errordir@/, serverroot "/error" );
+ gsub( /@exp_htdocsdir@/, serverroot "/htdocs" );
+ gsub( /@exp_iconsdir@/, serverroot "/icons" );
+ gsub( /@exp_logfiledir@/, serverroot "/logs" );
+ gsub( /@exp_runtimedir@/, serverroot "/logs" );
+ gsub( /@exp_manualdir@/, serverroot "/manual" );
+ gsub( /@rel_runtimedir@/, "logs" );
+ gsub( /@rel_logfiledir@/, "logs" );
+ if (WINDOWS) {
+ gsub( /SSLMutex file:@exp_runtimedir@\/ssl_mutex/, "SSLMutex default" );
+ gsub( /\/home\/\*\/public_html/, "\"C:/Documents and Settings/*/My Documents/My Website\"" );
+ gsub( /UserDir public_html/, "UserDir \"My Documents/My Website\"" );
+ }
+ gsub( /www.example.com/, servername );
+ gsub( /@@ServerAdmin@@/, serveradmin );
+ gsub( /you(a)example.com/, serveradmin );
+ gsub( /@@ServerName@@/, servername );
+ gsub( /www.example.com/, servername );
+ gsub( /@@ServerAdmin@@/, serveradmin );
+ gsub( /you(a)example.com/, serveradmin );
+ gsub( /@@DomainName@@/, domainname );
+ gsub( /example.com/, domainname );
+ gsub( /@@Port@@/, serverport );
+ gsub( /443/, serversslport );
+ print $0 > dstfl;
+ }
+ close(srcfl);
+
+ if ( close(dstfl) >= 0 ) {
+ print "Rewrote " srcfl "\n to " dstfl > tstfl;
+ if (WINDOWS) {
+ gsub(/\//, "\\", srcfl);
+ }
+ if (system(delcmd " \"" srcfl "\"")) {
+ print "Failed to remove " srcfl > tstfl;
+ } else {
+ print "Successfully removed " srcfl > tstfl;
+ }
+ } else {
+ print "Failed to rewrite " srcfl "\n to " dstfl > tstfl;
+ }
+ filelist[conffile] = "extra/";
+ }
+
+ filelist["httpd.conf"] = "";
+ filelist["charset.conv"] = "";
+ filelist["magic"] = "";
+ filelist["mime.types"] = "";
+
+ for ( conffile in filelist ) {
+ srcfl = confdefault conffile;
+ dstfl = confroot filelist[conffile] conffile;
+ if ( ( getline < dstfl ) < 0 ) {
+ while ( ( getline < srcfl ) > 0 ) {
+ print $0 > dstfl;
+ }
+ print "Duplicated " srcfl "\n to " dstfl > tstfl;
+ } else {
+ print "Existing file " dstfl " preserved" > tstfl;
+ }
+ close(srcfl);
+ close(dstfl);
+ }
+
+ srcfl = confdefault "installconf.awk";
+ if (WINDOWS) {
+ gsub(/\//, "\\", srcfl);
+ }
+ if (system(delcmd " \"" srcfl "\"")) {
+ print "Failed to remove " srcfl > tstfl;
+ } else {
+ print "Successfully removed " srcfl > tstfl;
+ }
+ close(tstfl);
+}
Property changes on: trunk/httpd/httpd-2.2/install/installconf.awk
___________________________________________________________________
Name: svn:executable
+ *
16 years, 11 months
JBoss Native SVN: r1370 - trunk/build/unix/util.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-05 16:39:50 -0500 (Tue, 05 Feb 2008)
New Revision: 1370
Modified:
trunk/build/unix/util/buildrhelsrc.sh
Log:
Another typo.
Modified: trunk/build/unix/util/buildrhelsrc.sh
===================================================================
--- trunk/build/unix/util/buildrhelsrc.sh 2008-02-05 21:31:43 UTC (rev 1369)
+++ trunk/build/unix/util/buildrhelsrc.sh 2008-02-05 21:39:50 UTC (rev 1370)
@@ -56,7 +56,7 @@
# -r httpd-2_2_3-11_el5 httpd/RHEL-5
cvsloc=:pserver:anonymous@cvs.devel.redhat.com:/cvs/dist
-if [ "$tag" == "trunk" ];then
+if [ "$tag" = "trunk" ];then
native_tag_opt="-r HEAD"
else
native_tag_opt="-r $tag"
16 years, 11 months
JBoss Native SVN: r1369 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-05 16:31:43 -0500 (Tue, 05 Feb 2008)
New Revision: 1369
Modified:
trunk/build/unix/buildsrc.rhel-httpd.sh
Log:
typos.
Modified: trunk/build/unix/buildsrc.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildsrc.rhel-httpd.sh 2008-02-05 21:30:29 UTC (rev 1368)
+++ trunk/build/unix/buildsrc.rhel-httpd.sh 2008-02-05 21:31:43 UTC (rev 1369)
@@ -74,7 +74,7 @@
fi
# We get apr-iconv
-if [ "${BUILD_SYS}" == "windows" ]; then
+if [ "${BUILD_SYS}" = "windows" ]; then
util/ckeckdownload.sh $build_cache_dir $package_src_dir $build_top apr-iconv-${api_version} $APIURL $APIURLBACK
if [ $? -ne 0 ]; then
echo "util/ckeckdownload.sh apr-iconv failed"
@@ -100,7 +100,7 @@
echo "Replacing ${dirsources}/srclib/apr-util by ${native_dist}/srclib/${apudirsources}"
mv ${native_dist}/srclib/${apudirsources} ${dirsources}/srclib/apr-util
fi
-if [ "${BUILD_SYS}" == "windows" ]; then
+if [ "${BUILD_SYS}" = "windows" ]; then
rm -rf ${dirsources}/srclib/zlib
zlibdirsources=`ls ${native_dist}/srclib/ | grep zlib-`
echo "Replacing ${dirsources}/srclib/zlib by ${native_dist}/srclib/${zlibdirsources}"
16 years, 11 months
JBoss Native SVN: r1368 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-05 16:30:29 -0500 (Tue, 05 Feb 2008)
New Revision: 1368
Modified:
trunk/build/unix/build.sh
Log:
typos.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-02-05 17:06:21 UTC (rev 1367)
+++ trunk/build/unix/build.sh 2008-02-05 21:30:29 UTC (rev 1368)
@@ -188,7 +188,7 @@
apr:*)
apr_version=`echo "${arg}" | ${awk} -F':' '{print $3}'`
apr_type=`echo "${arg}" | ${awk} -F':' '{print $2}'`
- if [ "$apr_type" == "v" ]; then
+ if [ "$apr_type" = "v" ]; then
has_apr=true
fi
export apr_version
@@ -196,7 +196,7 @@
apu:*)
apu_version=`echo "${arg}" | ${awk} -F':' '{print $3}'`
apu_type=`echo "${arg}" | ${awk} -F':' '{print $2}'`
- if [ "$apu_type" == "v" ]; then
+ if [ "$apu_type" = "v" ]; then
has_apu=true
fi
export apu_version
@@ -946,9 +946,9 @@
fi
# Note: type of the download (r: rhel, v: internet, t: tag in svn).
if $has_openssl; then
- if [ "${ssl_type}" == "v" ]; then
+ if [ "${ssl_type}" = "v" ]; then
ckeckdownload openssl-${ssl_version} $SSLURL "NONE"
- elif [ "${ssl_type}" == "r" ]; then
+ elif [ "${ssl_type}" = "r" ]; then
if [ "x${ssl_version}" = "x" ]; then
tag=trunk
else
16 years, 11 months
JBoss Native SVN: r1367 - in trunk/build/unix: util and 1 other directory.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2008-02-05 12:06:21 -0500 (Tue, 05 Feb 2008)
New Revision: 1367
Added:
trunk/build/unix/util/confssl.sh
Modified:
trunk/build/unix/build.sh
trunk/build/unix/buildbin.rhel-httpd.sh
trunk/build/unix/buildtest.rhel-httpd.sh
trunk/build/unix/package.list
Log:
Add openssl rhel logic (and test ssl).
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2008-02-05 17:05:08 UTC (rev 1366)
+++ trunk/build/unix/build.sh 2008-02-05 17:06:21 UTC (rev 1367)
@@ -538,7 +538,7 @@
if [ -f ${ssl_common_dir}/include/openssl/opensslv.h ]; then
echo "Using cached openssl in ${ssl_common_dir}"
- return
+ return 0
fi
SSLNUM=`basename ${ssl_srcdir} | awk -F - '{ print $2}' | sed 's:[a-z]::'`
echo "Configuring OpenSSL ${ssl_version} for ${BUILD_TAG} ..."
@@ -549,22 +549,26 @@
ssl_build_flags="shared"
fi
ssl_target="--prefix=${ssl_common_dir} --openssldir=${ssl_common_dir}/ssl"
+ if [ ! -d ${ssl_srcdir} ]; then
+ ssl_srcdir=srclib/`ls srclib | grep openssl-`
+ fi
+ echo "ssl_srcdir: $ssl_srcdir in: `pwd`"
(cd ${ssl_srcdir}
case ${BUILD_TAG} in
solaris-sparcv9)
- ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} solaris-sparcv9-cc
+ ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} solaris-sparcv9-cc || exit 1
;;
solaris-i686)
- ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} solaris-x86-cc
+ ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} solaris-x86-cc || exit 1
;;
hpux-parisc2)
- ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} hpux-parisc2-cc
+ ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} hpux-parisc2-cc || exit 1
;;
hpux-ia64)
- ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} hpux-ia64-cc
+ ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} hpux-ia64-cc || exit 1
;;
linux2-ppc64)
- ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64
+ ./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64 || exit 1
;;
windows-i686)
./Configure ${ssl_target} VC-NT
@@ -579,20 +583,20 @@
ms/do_win64i.bat
;;
*)
- ./config ${ssl_target} -fPIC ${ssl_common_flags} ${ssl_build_flags}
+ ./config ${ssl_target} -fPIC ${ssl_common_flags} ${ssl_build_flags} || exit 1
;;
esac
echo "Building OpenSSL ${ssl_version} for ${BUILD_TAG} ..."
if $BUILD_WIN ; then
if $ssl_static ; then
- nmake -f ms/nt.mak install
+ nmake -f ms/nt.mak install || exit 1
else
- nmake -f ms/ntdll.mak install
+ nmake -f ms/ntdll.mak install || exit 1
fi
else
- make depend
- make
- make install_sw
+ make depend || exit 1
+ make || exit 1
+ make install_sw || exit 1
if [ ! $ssl_static ] ; then
(cd ${ssl_common_dir}/lib
ln -s libcrypto.${so_extension}.${SSLNUM} libcrypto.${so_extension}.0
@@ -600,7 +604,7 @@
)
fi
fi
- )
+ ) || return 1
}
#
@@ -938,10 +942,23 @@
mkdir -p ${package_src_dir}/srclib
if $has_zlib; then
- ckeckdownload zlib-${zlib_version} $ZLIBURL ""
+ ckeckdownload zlib-${zlib_version} $ZLIBURL "NONE"
fi
+# Note: type of the download (r: rhel, v: internet, t: tag in svn).
if $has_openssl; then
- ckeckdownload openssl-${ssl_version} $SSLURL ""
+ if [ "${ssl_type}" == "v" ]; then
+ ckeckdownload openssl-${ssl_version} $SSLURL "NONE"
+ elif [ "${ssl_type}" == "r" ]; then
+ if [ "x${ssl_version}" = "x" ]; then
+ tag=trunk
+ else
+ tag=${ssl_version}
+ fi
+ util/buildrhelsrc.sh http://cvs.devel.redhat.com/repo/dist/openssl openssl/RHEL-5 ${tag} ${package_src_dir} openssl rhel-httpd ${build_version}
+ else
+ echo "${ssl_type} not support for openssl"
+ exit 1
+ fi
fi
if $has_apr; then
ckeckdownload apr-${apr_version} $APRURL $APRURLBACK
@@ -953,10 +970,10 @@
ckeckdownload apr-iconv-${api_version} $APIURL $APIURLBACK
fi
if $has_iconv; then
- ckeckdownload libiconv-${iconv_version} $ICONVURL ""
+ ckeckdownload libiconv-${iconv_version} $ICONVURL "NONE"
fi
if $has_expat; then
- ckeckdownload expat-${expat_version} $EXPATURL ""
+ ckeckdownload expat-${expat_version} $EXPATURL "NONE"
fi
#
@@ -1016,12 +1033,12 @@
# generate a list of dependencies
override ${build_top}/util/builddep $build_output_dir ${PACKAGE}.${build_version}.${BUILD_SYS}.${BUILD_CPU}.depends ${package_output_dir}
-# create a chrootable environment for testing:
-if [ ! -d ${TMPROOTBASE}/${package_output_dir} ]; then
- override ${build_top}/util/buildroot ${TMPROOTBASE}/${package_output_dir}
-fi
+if $run_test; then
+ # create a chrootable environment for testing:
+ if [ ! -d ${TMPROOTBASE}/${package_output_dir} ]; then
+ override ${build_top}/util/buildroot ${TMPROOTBASE}/${package_output_dir}
+ fi
-# run a test
-if $run_test; then
- override ${build_top}/buildtest.${PACKAGE}.sh ${TMPROOTBASE} ${package_output_dir} ${build_cache_dir} ${IPLOCAL}
+ # run a test
+ override ${build_top}/buildtest.${PACKAGE}.sh ${TMPROOTBASE} ${package_output_dir} ${build_cache_dir} ${IPLOCAL} ${has_ssl}
fi
Modified: trunk/build/unix/buildbin.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-05 17:05:08 UTC (rev 1366)
+++ trunk/build/unix/buildbin.rhel-httpd.sh 2008-02-05 17:06:21 UTC (rev 1367)
@@ -105,7 +105,7 @@
_localstatedir=${PREFIX}/logs
if $has_openssl_loc ; then
- add_conf="--with-ssl=${common_loc} --enable-ssl --with-ssl --enable-distcache"
+ add_conf="--with-ssl=${common_loc} --enable-ssl --with-ssl"
else
add_conf=""
fi
@@ -179,5 +179,22 @@
# Install it
#install -m 755 worker/httpd ${RPM_BUILD_ROOT}/${_sbindir}/httpd.worker
install -m 755 httpd ${RPM_BUILD_ROOT}/${_sbindir}/httpd.worker
+
+# Add the needed openssl stuff.
+current_loc=`pwd`
+install_loc=${output_loc}/${PREFIX}
+if $has_openssl_loc; then
+ echo "Adding OpenSSL libraries ..."
+ (cd ${common_loc}/lib
+ tar -cf ${current_loc}/x.tar engines *.${so_extension}*
+ )
+ (cd ${install_loc}/lib
+ tar -xf ${current_loc}/x.tar
+ )
+ rm -f ${current_loc}/x.tar
+
+ cp ${common_loc}/bin/openssl ${install_loc}/bin
+fi
+
echo "Done"
exit 0
Modified: trunk/build/unix/buildtest.rhel-httpd.sh
===================================================================
--- trunk/build/unix/buildtest.rhel-httpd.sh 2008-02-05 17:05:08 UTC (rev 1366)
+++ trunk/build/unix/buildtest.rhel-httpd.sh 2008-02-05 17:06:21 UTC (rev 1367)
@@ -27,11 +27,13 @@
# $2 : Directory where the package was built.
# $3 : Directory where downloaded packages are stored.
# $4 : Name or IP to use for the tests.
+# $5 : Do the SSL stuff.
base=$1
root=$2
build_cache_dir=$3
IPLOCAL=$4
+loc_has_ssl=$5
# Install jboss (as)
util/installjboss.sh $base $root $build_cache_dir
@@ -46,6 +48,11 @@
# Add a minimal mod_jk conf to httpd.conf
util/confjk.sh $base $root $build_cache_dir ${IPLOCAL}
+# Run SSL if needed
+if $loc_has_ssl; then
+ util/confssl.sh $base $root $build_cache_dir ${IPLOCAL}
+fi
+
# Test it.
sudo /usr/sbin/chroot $base/$root /opt/jboss/httpd/sbin/apachectl start
sleep 65
@@ -65,6 +72,15 @@
exit 1
fi
+# The -k is for the test self signed certificate.
+curl -k -v https://${IPLOCAL} | grep "It works\!"
+if [ $? -ne 0 ]; then
+ sudo /usr/sbin/chroot $base/$root /opt/jboss/httpd/sbin/apachectl stop
+ ${base}/${root}/jbossas/${JBOSSDIR}/bin/shutdown.sh -S -s ${IPLOCAL}
+ echo "Test FAILED cant use SSL?"
+ exit 1
+fi
+
# Stop it.
sudo /usr/sbin/chroot $base/$root /opt/jboss/httpd/sbin/apachectl stop
${base}/${root}/jbossas/${JBOSSDIR}/bin/shutdown.sh -S -s ${IPLOCAL}
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2008-02-05 17:05:08 UTC (rev 1366)
+++ trunk/build/unix/package.list 2008-02-05 17:06:21 UTC (rev 1367)
@@ -10,4 +10,4 @@
jboss-sight|1.0.2|trunk|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1
# httpd
jboss-httpd|0.0.1|2.2.6
-rhel-httpd|0.0.1|httpd-2_2_3-11_el5_1_3|apr:r:apr-1_2_7-11|apu:r:apr-util-1_2_7-7_el5|api:v:1.2.1|ssl:v:0.9.8e|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8
+rhel-httpd|0.0.1|httpd-2_2_3-11_el5_1_3|apr:r:apr-1_2_7-11|apu:r:apr-util-1_2_7-7_el5|api:v:1.2.1|ssl:r:openssl-0_9_8b-8_3_el5_0_2|zlib:v:1.2.3|jk:v:1.2.26|iconv:v:1.11|expat:v:1.95.8
Added: trunk/build/unix/util/confssl.sh
===================================================================
--- trunk/build/unix/util/confssl.sh (rev 0)
+++ trunk/build/unix/util/confssl.sh 2008-02-05 17:06:21 UTC (rev 1367)
@@ -0,0 +1,53 @@
+#!/bin/sh
+# Copyright(c) 2008 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+
+# Install jboss(as) in the chrootable environment for testing.
+#
+# $1 : Base directory for the test.
+# $2 : Directory where the package was built.
+# $3 : Directory where downloaded packages are stored.
+# $4 : Name or IP to use for the tests.
+
+base=$1
+root=$2
+build_cache_dir=$3
+IPLOCAL=$4
+
+echo "$0 : in ${base}/${root}"
+
+# Add to httpd.conf
+cat <<EOF >> ${base}/${root}/opt/jboss/httpd/httpd/conf/httpd.conf
+LoadModule jk_module /opt/jboss/httpd/lib/httpd/modules/mod_ssl.so
+Listen ${IPLOCAL}:443
+<VirtualHost _default_:443>
+SSLEngine on
+SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
+SSLCertificateFile /opt/jboss/httpd/httpd/conf/server.crt
+SSLCertificateKeyFile /opt/jboss/httpd/httpd/conf/server.key
+</VirtualHost>
+EOF
+
+# Copy the certificate and key files.
+cp $build_top/util/server.crt ${base}/${root}/opt/jboss/httpd/httpd/conf
+cp $build_top/util/server.key ${base}/${root}/opt/jboss/httpd/httpd/conf
Property changes on: trunk/build/unix/util/confssl.sh
___________________________________________________________________
Name: svn:executable
+ *
16 years, 11 months